Skip to content

Get a single subscription by ID

Request

Security
bearerAuth
Path
organizationIdstringrequired

Organization ID of the member accessing the resource

Example:my-organization-id
subscriptionIdinteger, ( 0 .. 9007199254740991 ]required
curl -i -X GET \
  'https://docs.api.hook.co/_mock/v1/openapi/organizations/my-organization-id/subscriptions/{subscriptionId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Default Response

Bodyapplication/json
idinteger, ( 0 .. 9007199254740991 ]required
customerIdinteger, ( 0 .. 9007199254740991 ]required
productIdinteger or null, ( 0 .. 9007199254740991 ]required
productKeystring or nullrequired
namestring or nullrequired
Example:"Enterprise plan"
valuenumber or nullrequired
Example:12000
isActiveboolean or nullrequired
isAutoRenewingboolean or nullrequired
typestring or nullrequired
Example:"Renewal"
startDatestring or null, (date-time)required
endDatestring or null, (date-time)required
createdDatestring or null, (date-time)required
updatedDatestring or null, (date-time)required
Response
{ "id": 1, "customerId": 1, "productId": 1, "productKey": "string", "name": "Enterprise plan", "value": 12000, "isActive": true, "isAutoRenewing": true, "type": "Renewal", "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "createdDate": "2019-08-24T14:15:22Z", "updatedDate": "2019-08-24T14:15:22Z" }